pre[class*="language-"].line-numbers {
	position: relative;
	padding-left: 3.8em;
	counter-reset: linenumber;
}

pre[class*="language-"].line-numbers > code {
	position: relative;
	white-space: inherit;
}

.line-numbers .line-numbers-rows {
	position: absolute;
	pointer-events: none;
	top: 0;
	font-size: 100%;
	left: -3.8em;
	width: 3em; /* works for line-numbers below 1000 lines */
	letter-spacing: -1px;
	border-right: 1px solid #999;

	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;

}

	.line-numbers-rows > span {
		display: block;
		counter-increment: linenumber;
	}

		.line-numbers-rows > span:before {
			content: counter(linenumber);
			color: #999;
			display: block;
			padding-right: 0.8em;
			text-align: right;
		}

/**
 * prism.js tomorrow night eighties for JavaScript, CoffeeScript, CSS and HTML
 * Based on https://github.com/chriskempson/tomorrow-theme
 * @author Rose Pritchard
 */

code[class*="language-"],
pre[class*="language-"] {
	color: #ccc;
	background: none;
	font-family: Consolas, Monaco, 'Andale Mono', 'Ubuntu Mono', monospace;
	font-size: 1em;
	text-align: left;
	white-space: pre;
	word-spacing: normal;
	word-break: normal;
	word-wrap: normal;
	line-height: 1.5;

	-moz-tab-size: 4;
	-o-tab-size: 4;
	tab-size: 4;

	-webkit-hyphens: none;
	-moz-hyphens: none;
	-ms-hyphens: none;
	hyphens: none;

}

/* Code blocks */
pre[class*="language-"] {
	padding: 1em;
	margin: .5em 0;
	overflow: auto;
}

:not(pre) > code[class*="language-"],
pre[class*="language-"] {
	background: #2d2d2d;
}

/* Inline code */
:not(pre) > code[class*="language-"] {
	padding: .1em;
	border-radius: .3em;
	white-space: normal;
}

.token.comment,
.token.block-comment,
.token.prolog,
.token.doctype,
.token.cdata {
	color: #999;
}

.token.punctuation {
	color: #ccc;
}

.token.tag,
.token.attr-name,
.token.namespace,
.token.deleted {
	color: #e2777a;
}

.token.function-name {
	color: #6196cc;
}

.token.boolean,
.token.number,
.token.function {
	color: #f08d49;
}

.token.property,
.token.class-name,
.token.constant,
.token.symbol {
	color: #f8c555;
}

.token.selector,
.token.important,
.token.atrule,
.token.keyword,
.token.builtin {
	color: #cc99cd;
}

.token.string,
.token.char,
.token.attr-value,
.token.regex,
.token.variable {
	color: #7ec699;
}

.token.operator,
.token.entity,
.token.url {
	color: #67cdcc;
}

.token.important,
.token.bold {
	font-weight: bold;
}
.token.italic {
	font-style: italic;
}

.token.entity {
	cursor: help;
}

.token.inserted {
	color: green;
}

code[class*='language-'],
pre[class*='language-'] {
  font-family: Consolas, Menlo, Monaco, 'Andale Mono WT', 'Andale Mono',
    'Lucida Console', 'Lucida Sans Typewriter', 'DejaVu Sans Mono',
    'Bitstream Vera Sans Mono', 'Liberation Mono', 'Nimbus Mono L',
    'Courier New', Courier, monospace;
}

.language-button-container {
  display: flex;
  flex-direction: row-reverse;
}

.set-language-button {
  font-family: inherit;
  font-size: 100%;
  line-height: 1.15;
  margin: 10px;
  border-radius: 0;
  border-color: #FFF;
  border-style: solid;
  color: #FFF;
  background-color: rgba(0, 0, 0, 0);
}

.set-language-button.active {
  color: #3D9ED5;
  border-color: #3D9ED5;
}

.set-language-button:hover {
  color: #3D9ED5;
  border-color: #3D9ED5;
  cursor: pointer;
}
.footer {
    grid-area: footer;
    display: flex;
    justify-content: center;
    padding: 2em;
    background-color: #222222;
}
.header {
    grid-area: header;
    background-color: #313131;
    padding-left: 1em;
    position: -webkit-sticky;
    position: sticky;
    top: 0;
}
.menu {
    padding: 0 1em;
    grid-area: menu;
}

.menu ul {
    list-style: none;
    padding-right: 0;
}

.menu > ul {
    padding-left: 0;
}

.menu a {
    width: 100%;
    text-decoration: none;
    color: inherit;
}

.menu-item-label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2px 4px;
    border-radius: 5px;
}

.menu-item-label:hover {
    background-color: #454545;
}

.sub-menu {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s linear;
    padding-left: 1;
}

.sub-menu.active {
    max-height: 500px;
    transition: max-height 0.5s linear;
}

.clickable {
    cursor: pointer;
}

@media (min-width: 500px) {
    .menu-0 {
        border-right: 1px solid;
        border-color: #FFF;
    }
}
.sidebar-ad-container {
    display: flex;
    justify-content: center;
    /* height: 100%; */
    padding-top: 100px;
    padding-right: 1em;
    width: 140px;
    grid-area: sidebar;
}

.sidebar-ad {
    height: 350px;
    width: 100%;
    position: sticky;
    position: -webkit-sticky;
    top: 100px;
    background-color: rgba(56, 111, 230, 0.5);
}
html,
body {
    height: 100%;
}

h2,
h3,
h4,
h5,
h6 {
    margin: 2px 0px;
}

p {
    margin-top: 2px;
}

body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    background-color: #181818;
    color: #FFFFFF;
}

.main {
    grid-area: main;
}

.article {
    padding: 0 1em;
}

.app-wrapper {
    min-height: 100vh;
    display: grid;
    grid-template-areas:
        "header"
        "menu"
        "main"
        /* "sidebar" */
        "footer";
    grid-template-columns: 100%;
}

figure {
    margin: 2em 0;
    width: 100%;
    max-width: 800px;
}

figcaption {
    text-align: center;
    margin-top: 1em;
    font-style: italic;
    font-size: smaller;
}

.figure-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Layout for larger screens */

@media (min-width: 500px) {
    .app-wrapper {
        grid-template-areas:
            "header header header header header"
            "menu main main main sidebar"
            "footer footer footer footer footer";
        grid-template-rows: auto 1fr auto;
        grid-template-columns: 1fr 4fr 1fr;
    }
}

